Bug 1078212 (CVE-2014-0148) - CVE-2014-0148 Qemu: vhdx: bounds checking for block_size and logical_sector_size
Summary: CVE-2014-0148 Qemu: vhdx: bounds checking for block_size and logical_sector_size
Status: CLOSED ERRATA
Alias: CVE-2014-0148
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140326,reported=2...
Keywords: Security
Depends On: 1079343 1079344 1079346 1086712 1087112 1087126 1087140 1108461
Blocks: 1066967 1086694
TreeView+ depends on / blocked
 
Reported: 2014-03-19 12:02 UTC by Prasad J Pandit
Modified: 2016-01-27 13:07 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 13:07:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0420 normal SHIPPED_LIVE Moderate: qemu-kvm security update 2014-04-22 21:39:52 UTC
Red Hat Product Errata RHSA-2014:0421 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-22 21:39:32 UTC
Red Hat Product Errata RHSA-2014:0434 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:56 UTC
Red Hat Product Errata RHSA-2014:0435 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:47 UTC
Red Hat Product Errata RHSA-2014:0674 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 3.4.0 security, bug fix, and enhancement update 2014-06-09 18:35:12 UTC

Description Prasad J Pandit 2014-03-19 12:02:20 UTC
Qemu block driver for Hyper-V VHDX Images is vulnerable to infinite loops and
other potential issues when calculating BAT entries, due to missing bounds
checks for block_size and logical_sector_size variables. These are used to
derive other fields like 'sectors_per_block' etc.

An user able to alter the Qemu disk image could ise this flaw to crash the Qemu instance resulting in DoS.

Upstream fix:
-------------
vhdx: Bounds checking for block_size and logical_sector_size
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=1d7678dec4761acdc43439da6ceda41a703ba1a6

Comment 1 Prasad J Pandit 2014-03-21 10:34:13 UTC
Statement:

This issue does not affect the versions of kvm package as shipped with Red Hat
Enterprise Linux 5.

This issue affects the versions of qemu-kvm package as shipped with Red Hat
Enterprise Linux 6.

Comment 4 Prasad J Pandit 2014-03-25 13:15:06 UTC
Acknowledgement:

This issue was discovered by Jeff Cody of Red Hat Inc.

Comment 5 Prasad J Pandit 2014-04-11 11:23:35 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1086712]

Comment 9 errata-xmlrpc 2014-04-22 17:40:57 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0421 https://rhn.redhat.com/errata/RHSA-2014-0421.html

Comment 10 errata-xmlrpc 2014-04-22 17:41:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0420 https://rhn.redhat.com/errata/RHSA-2014-0420.html

Comment 11 errata-xmlrpc 2014-04-24 17:37:10 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0435 https://rhn.redhat.com/errata/RHSA-2014-0435.html

Comment 12 errata-xmlrpc 2014-04-24 17:38:11 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:0434 https://rhn.redhat.com/errata/RHSA-2014-0434.html

Comment 13 Fedora Update System 2014-05-01 22:26:57 UTC
qemu-1.6.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2014-06-09 14:37:26 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html


Note You need to log in before you can comment on or make changes to this bug.